gnutls_dh_params_init(3)

NAME
gnutls_dh_params_init - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_dh_params_init(gnutls_dh_params_t * dh_params);

ARGUMENTS

gnutls_dh_params_t * dh_params
    Is a structure that will hold the prime numbers

DESCRIPTION
This function will initialize the DH parameters structure.

RETURNS
On success, GNUTLS_E_SUCCESS (zero) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.